﻿/*	TOP-SURF: a visual words toolkit
	Copyright (C) 2010 LIACS Media Lab, Leiden University,
	                   Bart Thomee (bthomee@liacs.nl),
					   Erwin M. Bakker (erwin@liacs.nl)	and
					   Michael S. Lew (mlew@liacs.nl).

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.
    See http://www.gnu.org/licenses/gpl.html for the full license.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

	In addition, this work is covered under the Creative Commons
	Attribution license version 3.
    See http://creativecommons.org/licenses/by/3.0/ for the full license.
*/

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Diagnostics;
using System.Text;
using System.Windows.Forms;

namespace MediaLab.TopSurf
{
	public partial class InitializeLibraryForm : Form
	{
		public int ImageDim { get { return (int)imagedimUpDown.Value; } }
		public int TopElements { get { return (int)topUpDown.Value; } }

		public InitializeLibraryForm()
		{
			InitializeComponent();
		}

		private void imagedimUpDown_Enter(object sender, EventArgs e)
		{
			imagedimUpDown.Select(0, imagedimUpDown.Value.ToString().Length);
		}

		private void topUpDown_Enter(object sender, EventArgs e)
		{
			topUpDown.Select(0, topUpDown.Value.ToString().Length);
		}
	}
}
